---
layout: default
title: GitLab CE AWS AMI
suppress_header: true
extra_css:
  - aws.css
extra_js:
  - downloads.js
current_version: gitlab-aws-image
regions:
- name: US West (Oregon)
  image: ami-56ef0b36
  id: uw2
- name: US East (N. Virginia)
  image: ami-b31e3fd9
  id: ue
- name: US West (N. California)
  image: ami-3ed6a25e
  id: uw1
- name: EU (Ireland)
  image: ami-3e55e04d
  id: eui
- name: EU (Frankfurt)
  image: ami-2c998040
  id: euf
- name: Asia Pacific (Singapore)
  image: ami-4a79b529
  id: aps
- name: Asia Pacific (Tokyo)
  image: ami-b8dce2d6
  id: apt
- name: Asia Pacifc (Sydney)
  image: ami-e1644082
  id: apsy
- name: South America (São Paulo)
  image: ami-66c8480a
  id: sa
---

<div class="aws-header">
  <h1>GitLab CE AWS AMI</h1>
  <h2>GitLab Community Edition on AWS with our machine image</h2>

  <!-- dropdown button -->
  <div class="btn-group">
    <button type="button" class="btn btn-default dropdown-toggle btn-lg" data-toggle="dropdown" onClick="_gaq.push(['_trackEvent', 'AWS', 'Region Select', 'Dropdown Open']);">
      Select AWS region <span class="caret"></span>
    </button>

    <ul class="dropdown-menu" role="menu">
    {% for region in page.regions %}
      <li><a href="#{{region.id}}" onClick="_gaq.push(['_trackEvent', 'AWS', 'Region Select', '#{{region.name}}']);">{{region.name}}</a></li>
    {% endfor %}
    </ul>
  </div>
  <!-- / dropdown button -->

  <div id="tabs">
    {% for region in page.regions %}
      <div class="tab" id="{{region.id}}">
        <div class="aws-install">

          <div class="aws-install-step">
            <p>Search for this AMI ({{ page.current_version }}) under Community AMIs</p>
            <p>{{ region.image }}</p>
            <p>The latest version of GitLab CE will be fetched on first boot.</p>
          </div>

          <div class="aws-install-step">
            <p></p>
          </div>

          <div class="aws-install-step">
            <p>
              Launch a <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/install/requirements.md">c4.large instance</a> with open ports for ssh, http and https.
              <br />
              SSH into the instance with ubuntu@your-instance, edit the <br/>
              <code>/etc/gitlab/gitlab.rb</code> file to your needs, and run
            </p>
            <p>sudo gitlab-ctl reconfigure</p>
          </div>

          <div class="aws-install-step">
            <p>Visit the public IP in a browser and sign in as the default user</p>
            <p>username: root <br> password: 5iveL!fe</p>
          </div>

        </div>
        {% include other_download_links.html %}
      </div>
    {% endfor %}
  </div>
</div>
